CREATE TABLE gtg_hns_actions_common_ (
    ACTION_ID                     NUMBER(18, 0) ,
    OBJECT_ID                     NUMBER(18, 0) ,
    OBJECT_TYPE_CODE              VARCHAR2(400) ,
    ACTION_NO                     VARCHAR2(128) ,
    RECOMMEND_ID                  NUMBER(18, 0) ,
    COMPLETED_FLAG                VARCHAR2(4)   ,
    ACTION_STATUS_CODE            VARCHAR2(256) ,
    DELETED_FLAG                  VARCHAR2(4)   ,
    ACTION_SUMMARY                VARCHAR2(4000),
    ACTION_DATE                   TIMESTAMP(6)  ,
    DESCRIPTION                   VARCHAR2(400) ,
    ACTION_TYPE_CODE              VARCHAR2(120) ,
    ACTION_APPROVER_EMAIL_FLAG    VARCHAR2(4)   ,
    ACTION_REVIEWER_EMAIL_FLAG    VARCHAR2(4)   ,
    ACTION_PRECOM_EMAIL_FLAG      VARCHAR2(4)   ,
    ESTIMATED_COST                NUMBER        ,
    EST_COST_CURRENCY_CODE        VARCHAR2(256) ,
    PRIORITY_CODE                 VARCHAR2(256) ,
    REQ_RESOURCES                 VARCHAR2(4000),
    LESSONS_LEARNED               VARCHAR2(4000),
    CREATED_BY                    VARCHAR2(256) ,
    CREATION_DATE                 TIMESTAMP(6)  ,
    LAST_UPDATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_DATE              TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE1                    VARCHAR2(600) ,
    ATTRIBUTE2                    VARCHAR2(600) ,
    ATTRIBUTE3                    VARCHAR2(600) ,
    ATTRIBUTE4                    VARCHAR2(600) ,
    ATTRIBUTE5                    VARCHAR2(600) ,
    ATTRIBUTE6                    VARCHAR2(600) ,
    ATTRIBUTE7                    VARCHAR2(600) ,
    ATTRIBUTE8                    VARCHAR2(600) ,
    ATTRIBUTE9                    VARCHAR2(600) ,
    ATTRIBUTE10                   VARCHAR2(600) ,
    ATTRIBUTE11                   VARCHAR2(600) ,
    ATTRIBUTE12                   VARCHAR2(600) ,
    ATTRIBUTE13                   VARCHAR2(600) ,
    ATTRIBUTE14                   VARCHAR2(600) ,
    ATTRIBUTE15                   VARCHAR2(600) ,
    ATTRIBUTE16                   VARCHAR2(600) ,
    ATTRIBUTE17                   VARCHAR2(600) ,
    ATTRIBUTE18                   VARCHAR2(600) ,
    ATTRIBUTE19                   VARCHAR2(600) ,
    ATTRIBUTE20                   VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_NUMBER6             NUMBER        ,
    ATTRIBUTE_NUMBER7             NUMBER        ,
    ATTRIBUTE_NUMBER8             NUMBER        ,
    ATTRIBUTE_NUMBER9             NUMBER        ,
    ATTRIBUTE_NUMBER10            NUMBER        ,
    ATTRIBUTE_TIMESTAMP1          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10         TIMESTAMP(6)  ,
    AUDIT_ACTION_TYPE_            VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_         VARCHAR2(4000),
    AUDIT_IMPERSONATOR_           VARCHAR2(256) ,
    ACTION_ID                     NUMBER(18, 0) ,
    OBJECT_ID                     NUMBER(18, 0) ,
    OBJECT_TYPE_CODE              VARCHAR2(400) ,
    ACTION_NO                     VARCHAR2(128) ,
    RECOMMEND_ID                  NUMBER(18, 0) ,
    COMPLETED_FLAG                VARCHAR2(4)   ,
    ACTION_STATUS_CODE            VARCHAR2(256) ,
    DELETED_FLAG                  VARCHAR2(4)   ,
    ACTION_SUMMARY                VARCHAR2(4000),
    ACTION_DATE                   TIMESTAMP(6)  ,
    DESCRIPTION                   VARCHAR2(400) ,
    ACTION_TYPE_CODE              VARCHAR2(120) ,
    ACTION_APPROVER_EMAIL_FLAG    VARCHAR2(4)   ,
    ACTION_REVIEWER_EMAIL_FLAG    VARCHAR2(4)   ,
    ACTION_PRECOM_EMAIL_FLAG      VARCHAR2(4)   ,
    ESTIMATED_COST                NUMBER        ,
    EST_COST_CURRENCY_CODE        VARCHAR2(256) ,
    PRIORITY_CODE                 VARCHAR2(256) ,
    REQ_RESOURCES                 VARCHAR2(4000),
    LESSONS_LEARNED               VARCHAR2(4000),
    CREATED_BY                    VARCHAR2(256) ,
    CREATION_DATE                 TIMESTAMP(6)  ,
    LAST_UPDATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_DATE              TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE1                    VARCHAR2(600) ,
    ATTRIBUTE2                    VARCHAR2(600) ,
    ATTRIBUTE3                    VARCHAR2(600) ,
    ATTRIBUTE4                    VARCHAR2(600) ,
    ATTRIBUTE5                    VARCHAR2(600) ,
    ATTRIBUTE6                    VARCHAR2(600) ,
    ATTRIBUTE7                    VARCHAR2(600) ,
    ATTRIBUTE8                    VARCHAR2(600) ,
    ATTRIBUTE9                    VARCHAR2(600) ,
    ATTRIBUTE10                   VARCHAR2(600) ,
    ATTRIBUTE11                   VARCHAR2(600) ,
    ATTRIBUTE12                   VARCHAR2(600) ,
    ATTRIBUTE13                   VARCHAR2(600) ,
    ATTRIBUTE14                   VARCHAR2(600) ,
    ATTRIBUTE15                   VARCHAR2(600) ,
    ATTRIBUTE16                   VARCHAR2(600) ,
    ATTRIBUTE17                   VARCHAR2(600) ,
    ATTRIBUTE18                   VARCHAR2(600) ,
    ATTRIBUTE19                   VARCHAR2(600) ,
    ATTRIBUTE20                   VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_NUMBER6             NUMBER        ,
    ATTRIBUTE_NUMBER7             NUMBER        ,
    ATTRIBUTE_NUMBER8             NUMBER        ,
    ATTRIBUTE_NUMBER9             NUMBER        ,
    ATTRIBUTE_NUMBER10            NUMBER        ,
    ATTRIBUTE_TIMESTAMP1          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10         TIMESTAMP(6)  ,
    AUDIT_ACTION_TYPE_            VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_         VARCHAR2(4000),
    AUDIT_IMPERSONATOR_           VARCHAR2(256) ,
    CONSTRAINT pk_gtg_hns_actions_common_ PRIMARY KEY (ACTION_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, ACTION_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
